## org.apache.poi.ss.usermodel.charts
Enum AxisCrossBetween

    java.lang.Object
      java.lang.Enum<AxisCrossBetween>
          org.apache.poi.ss.usermodel.charts.AxisCrossBetween

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AxisCrossBetween>

    public enum AxisCrossBetween

extends java.lang.Enum<AxisCrossBetween>

Specifies the possible crossing states of an axis.

Author:
  Roman Kashitsyn

Enum Constant Summary
`BETWEEN` Specifies the value axis shall cross the category axis between data markers.
`MIDPOINT_CATEGORY` Specifies the value axis shall cross the category axis at the midpoint of a category.

Method Summary
`static AxisCrossBetween` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AxisCrossBetween[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BETWEEN

    public static final AxisCrossBetween BETWEEN

  Specifies the value axis shall cross the category axis between data markers.

### MIDPOINT_CATEGORY

    public static final AxisCrossBetween MIDPOINT_CATEGORY

  Specifies the value axis shall cross the category axis at the midpoint of a category.

Method Detail

### values

    public static AxisCrossBetween[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AxisCrossBetween c : AxisCrossBetween.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AxisCrossBetween valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.